package Controller;

import LoginDb.OtpUtility;
import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author 1815522
 */
public class OtpResendServlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        HttpSession session = request.getSession(false);
        String user = (String) session.getAttribute("user");
        String pacsId = (String) session.getAttribute("pacsId");
        
        //System.out.println("debug checkpoint : "+user+"  "+pacsId);

        OtpUtility ou = new OtpUtility();
        String verifyId = ou.sendOtp(user, pacsId, request, response);
        //System.out.println("----------------------------------" + verifyId);
        if (verifyId != null) {
            response.setHeader("Strict-Transport-Security", "max-age=7776000; includeSubdomains");
            request.setAttribute("otp_flag", "valid");
            session.setAttribute("verifyId", verifyId);
            request.getRequestDispatcher("/Login.jsp").forward(request, response);

        } else {
            request.setAttribute("error", "Error in otp generation.");
            request.getRequestDispatcher("/Login.jsp").forward(request, response);
            session.invalidate();
        }

    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
